---

domain: 'milton.mcf.io'
master_ip: '{{ hostvars[groups["master"][0]]["ansible_default_ipv4"].address }}'
# Kubernetes
kube_version: 'v1.17.4'
token: 'qqrnef.9dkrnswrvy7mivn3'

# 1.8.x feature: --feature-gates SelfHosting=true
init_opts: ''
# init_opts: '--skip-phases=addon/kube-proxy'

# Any other additional opts you want to add..
kubeadm_opts: '--apiserver-cert-extra-sans "kubernetes.milton.mcf.io"'
# For example:
# kubeadm_opts: '--apiserver-cert-extra-sans "k8s.domain.com,kubernetes.domain.com"'

service_cidr: '10.96.0.0/12'
pod_network_cidr: '10.244.0.0/16'

# Network implementation('flannel', 'calico', 'canal')
network: calico
calico_version: '3.10'

# Change this to an appropriate interface, preferably a private network.
# For example, on DigitalOcean, you would use eth1 as that is the default private network interface.
network_interface: "eth0"

enable_dashboard: no

# A list of insecure registries you might need to define
# insecure_registries: []
insecure_registries: ['gcr.io']

systemd_dir: /lib/systemd/system
system_env_dir: /etc/sysconfig
network_dir: /etc/kubernetes/network
kubeadmin_config: /etc/kubernetes/admin.conf
kube_addon_dir: /etc/kubernetes/addon

# Additional feature to install
additional_features:
  helm: false
  metallb: false
  healthcheck: false

# temporary directory used by additional features
tmp_dir: /tmp/kubeadm-ansible-files
